/* Copyright 2009 Jetro Lauha - http://iki.fi/jetro/
 *
 * $Id: AppState.cpp 3 2009-04-18 17:03:31Z tonic $
 * $Revision: 3 $
 */

#include "main.h"


bool AppState::update(UI32 time)
{
    if (mStartTime == 0)
        mStartTime = time;

    if (mPaused)
    {
        // adjust startTime so that the time spent in pause is skipped
        I32 deltaTime = (time - mStartTime) - mTime;
        mStartTime += deltaTime;
        return false;
    }

    mTime = time - mStartTime;

    return true;
}
